Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
- Adaptations
- Analyzer
- AnalyzerPlugins
- Checkable
- ConstantFolder
- ContextErrors
- ContextMode
- Contexts
- DestructureTypes
- Duplicators
- EtaExpansion
- Fingerprint
- Implicits
- ImplicitsStats
- Infer
- MacroAnnotationAttachments
- MacroAnnotationNamers
- Macros
- MacrosStats
- MethodSynthesis
- Namers
- NamesDefaults
- PatternTypers
- RefChecks
- StdAttachments
- StructuredTypeStrings
- SuperAccessors
- SyntheticMethods
- Tags
- TreeCheckers
- TypeDiagnostics
- TypeStrings
- Typers
- TypersStats
- TypersTracking
- Unapplies

t

scala.tools.nsc.typechecker

# MacroAnnotationAttachments

###

#### trait MacroAnnotationAttachments extends AnyRef

Self Type
  Analyzer
Source
  StdAttachments.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
erasure, treeChecker, ScaladocAnalyzer, InteractiveAnalyzer, Erasure, Duplicator, SpecializationDuplicator, Analyzer, Duplicators, TreeCheckers
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MacroAnnotationAttachments
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class CacheAttachment(cache: Map[String, Any]) extends Product with Serializable
2.  implicit class RichTree extends AnyRef
3.  case class SymbolCompleterAttachment(info: Global.Type) extends Product with Serializable
4.  case class SymbolExpansionAttachment(expansion: List[Global.Tree]) extends Product with Serializable
5.  case class SymbolSourceAttachment(source: Global.Tree) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MacroAnnotationAttachments toany2stringadd[MacroAnnotationAttachments] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MacroAnnotationAttachments, B)
   Implicit
     This member is added by an implicit conversion from MacroAnnotationAttachments toArrowAssoc[MacroAnnotationAttachments] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def attachExpansion(sym: Global.Symbol, trees: List[Global.Tree]): Global.Symbol
8.  def attachSource(sym: Global.Symbol, tree: Global.Tree): Global.Symbol
9.  def attachedExpansion(sym: Global.Symbol): Option[List[Global.Tree]]
10.  def attachedSource(sym: Global.Symbol): Global.Tree
11.  def backupCompleter(sym: Global.Symbol): Global.Symbol
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  def ensuring(cond: (MacroAnnotationAttachments) => Boolean, msg: => Any): MacroAnnotationAttachments
    Implicit
      This member is added by an implicit conversion from MacroAnnotationAttachments toEnsuring[MacroAnnotationAttachments] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (MacroAnnotationAttachments) => Boolean): MacroAnnotationAttachments
    Implicit
      This member is added by an implicit conversion from MacroAnnotationAttachments toEnsuring[MacroAnnotationAttachments] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): MacroAnnotationAttachments
    Implicit
      This member is added by an implicit conversion from MacroAnnotationAttachments toEnsuring[MacroAnnotationAttachments] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): MacroAnnotationAttachments
    Implicit
      This member is added by an implicit conversion from MacroAnnotationAttachments toEnsuring[MacroAnnotationAttachments] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MacroAnnotationAttachments toStringFormat[MacroAnnotationAttachments] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hasAttachedExpansion(sym: Global.Symbol): Boolean
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def isExpanded(sym: Global.Symbol): Boolean
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  def isMaybeExpandee(sym: Global.Symbol): Boolean
27.  def isNotExpandable(sym: Global.Symbol): Boolean
28.  def isWeak(sym: Global.Symbol): Boolean
29.  def markExpanded(sym: Global.Symbol): Global.Symbol
30.  def markMaybeExpandee(sym: Global.Symbol): Global.Symbol
31.  def markNotExpandable(sym: Global.Symbol): Global.Symbol
32.  def markWeak(sym: Global.Symbol): Global.Symbol
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  def restoreCompleter(sym: Global.Symbol): Unit
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  def unmarkExpanded(sym: Global.Symbol): Global.Symbol
40.  def unmarkWeak(sym: Global.Symbol): Global.Symbol
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
44.  object WeakSymbolAttachment extends Product with Serializable

### Deprecated Value Members

1.  def →[B](y: B): (MacroAnnotationAttachments, B)
   Implicit
     This member is added by an implicit conversion from MacroAnnotationAttachments toArrowAssoc[MacroAnnotationAttachments] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromMacroAnnotationAttachments to any2stringadd[MacroAnnotationAttachments]

### Inherited by implicit conversion StringFormat fromMacroAnnotationAttachments to StringFormat[MacroAnnotationAttachments]

### Inherited by implicit conversion Ensuring fromMacroAnnotationAttachments to Ensuring[MacroAnnotationAttachments]

### Inherited by implicit conversion ArrowAssoc fromMacroAnnotationAttachments to ArrowAssoc[MacroAnnotationAttachments]

### Ungrouped